GrSecurity

Fa algun temps Dabo em parlo d'GrSecurity el vostre propi nucli en el qual vénen implementades moltes mesures de seguretat.

Què és GrSecurity?

Grsecurity® és una àmplia millora de seguretat per al nucli de Linux, defensa contra una àmplia gamma d'amenaces a la seguretat a través del control d'accés intel·ligent, previene desbordamientos en la memoria y una serie de otros problemas haciendo mas robusto el sistema que generalmente no requiere ninguna configuración. S'ha desenvolupat activament i mantingut durant els últims 15 anys.

Com ho instal·lo

Debian en la seva versió inestable ja té GrSecurity en els seus repositoris s'espera que en la següent versió estable ja vingui, les distribucions derivades de Debian com Ubuntu o Linux Mint l'acolliran més endavant.

Jo en el següent manual us vaig a ensenyar com instal·lar-ho en debian.

Recordar-vos abans de començar que signifiquen els colors en aplicacions i sistemes

Textos escrit en la línia d'ordres: blau
Sortida del en la línia d'ordres: verd
Noms d'arxius i contingut d'arxiu: marrons

En primer lloc instal debian Jessie des de la imatge netinstall

Una vez esta instalado modifico el archivo /etc / apt / sources.list i ho deixo com a continuació:

deb http://sid principal ftp.es.debian.org/debian/
deb-src http://sid principal ftp.es.debian.org/debian/

La resta de les línies les deixo comentades i canvi Jessie per sid per així poder actualitzar la distribució.

Actualitzo la distribució executant les ordres següents com a root:

apt-get update
apt-get dist-upgrade
apt-get autoremove
reiniciar

instal GrSecurity, la versió del nucli pot variar per esbrinar quina és la teva jo executo

apt-cache search GrSecurity
.......
linux-image-4.4.0-1-grsec-amd64 - Linux 4.4 per a PC de 64 bits, protecció GrSecurity
.......

Amb això ja es com és la versió que jo necessito en el meu cas 4.4.0-1

instal·lem GrSecurity, substitueix la versió per la teva.

apt-get install linux-grsec-base de Linux-grsec-source-4.4-grsec-suport de Linux-4.4.0-1 linux-headers-4.4.0-1-comuns-grsec linux-headers-4.4.0-1- grsec amd64 linux-image-4.4.0-1-amd64 grsec

Reinicia i després per comprovar que aquesta funcionant GrSecurity executem:

uname
Linux aplicacionesysistemas 4.4.0-1-grsec-amd64 #1 Debian júnior 4.4.6-1 + grsec201603171922 +1 (2016-03-19 x86_64 GNU / Linux

Espero que us resulti d'utilitat i gràcies per llegir el nostre blog.


Sobre

Tècnic microinformàtic i formador per a l'ocupació. Amant de les noves tecnologies. Administrador de GNU / Linux i Windows.

Deixa un comentari